File patterns-ha.spec of Package patterns-ha

#
# spec file for package patterns-ha
#
# Copyright (c) 2022 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           patterns-ha
BuildRequires:  package-translations
BuildRequires:  patterns-rpm-macros
BuildRequires:  perl(URI::Escape)
%if 0%{?sle_version}
Summary:        High Availability
%else
Summary:        Patterns for HA
%endif
License:        MIT
Group:          Metapackages
Version:        15.5.0
Release:        0
Url:            http://en.opensuse.org/Patterns
Source0:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%{expand:%(perl /usr/share/package-translations/create_macros)}

%pattern_primaryfunctions

%if 0%{?sle_version}
Provides:       pattern() = ha_sles
%endif
Provides:       pattern() = ha
Provides:       pattern-icon() = pattern-server
Provides:       pattern-order() = 3000
Provides:       pattern-visible()
Recommends:     pattern() = yast2_basis
Requires:       conntrack-tools
Requires:       corosync
Requires:       crmsh
Requires:       csync2
Requires:       ctdb
Requires:       drbd
Requires:       drbd-utils
Requires:       fence-agents
Requires:       ha-cluster-webui
Requires:       ldirectord
Requires:       lvm2-lockd
Requires:       ocfs2-tools
Requires:       pacemaker
Requires:       python3-dateutil
%if 0%{?sle_version}
Requires:       release-notes-ha
%endif
Requires:       resource-agents
Requires:       sbd
Requires:       yast2-cluster
Requires:       yast2-drbd
Requires:       yast2-iplb
Requires:       chrony
Recommends:     cluster-md-kmp-default

%description
Provide tools to ensure a high degree of operational continuity and reduce the downtimes of your system.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-ha/
%if 0%{?sle_version}
echo 'This file marks the pattern ha_sles to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-ha/ha_sles.txt
%endif
echo 'This file marks the pattern ha to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-ha/ha.txt

%files
%dir /usr/share/doc/packages/patterns-ha
%if 0%{?sle_version}
/usr/share/doc/packages/patterns-ha/ha_sles.txt
%endif
/usr/share/doc/packages/patterns-ha/ha.txt

%changelog
openSUSE Build Service is sponsored by